#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  libtiff-4.3.0

- Next

  mypaint-brushes-1.3.1

- Up
- Home

# libwebp-1.2.2

## Introduction to libwebp

The libwebp package contains a library and support programs to encode and decode images in WebP format.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): http://downloads.webmproject.org/releases/webp/libwebp-1.2.2.tar.gz

- Download MD5 sum: b5e2e414a8adee4c25fe56b18dd9c549

- Download size: 3.9 MB

- Estimated disk space required: 35 MB

- Estimated build time: 0.3 SBU

### libwebp Dependencies

#### Recommended

libjpeg-turbo-2.1.2, libpng-1.6.37, libtiff-4.3.0, and SDL-1.2.15 (for improved 3D Acceleration)

#### Optional

Freeglut-3.2.2 and giflib-5.2.1

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libwebp

## Installation of libwebp

Install libwebp by running the following commands:

    ./configure --prefix=/usr           \
                --enable-libwebpmux     \
                --enable-libwebpdemux   \
                --enable-libwebpdecoder \
                --enable-libwebpextras  \
                --enable-swap-16bit-csp \
                --disable-static        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-swap-16bit-csp`: This switch enables byte swap for 16 bit colorspaces.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: cwebp, dwebp, gif2webp, img2webp, vwebp, webpinfo, and webpmux
Installed Library: libwebpdecoder.so, libwebpdemux.so, libwebpmux.so, and libwebp.so
Installed Directory: /usr/include/webp

### Short Descriptions

cwebp | compresses an image using the WebP format
dwebp | decompresses WebP files into PNG, PAM, PPM or PGM images
gif2webp | converts a GIF image to a WebP image
img2webp | creates an animated WebP file from a sequence of input images
vwebp | decompresses a WebP file and displays it in a window
webpinfo | prints out the cunk level structure of WebP files along with performing basic integrity checks
webpmux | creates animated WebP files from non-animated WebP images, extracts frames from animated WebP images, and manages XMP/EXIF metadata and ICC profile
`libwebp.so` | contains the API functions for WebP encoding and decoding

Last updated on

- Prev

  libtiff-4.3.0

- Next

  mypaint-brushes-1.3.1

- Up
- Home